jpts {bnstruct} | R Documentation

## get the list of joint probability tables compiled by an `InferenceEngine`.

### Description

Return the list of joint probability tables for the cliques of the junction tree obtained after belief propagation has been performed.

### Usage

    jpts(x)

    ## S4 method for signature 'InferenceEngine'
    jpts(x)

### Arguments

`x` | an `InferenceEngine`.

### Details

Each joint probability table is represented as a multidimensional array. To retrieve single dimensions (e.g. to compute marginals), users should not rely on dimension numbers, but should instead select the dimensions using their names.

### Value

the list of joint probability tables compiled by the `InferenceEngine`.

[Package bnstruct version 1.0.6 Index]